<template>
    <div class="product_call_form">
      <h3>Not Sure? Ask us Anything</h3>

      <ValidationObserver ref="form">
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tbody>
              <tr>
                <td>
                  <ValidationProvider name="First Name" rules="required" v-slot="{errors}">
                    <input type="text" placeholder="First Name*" v-model="form.first_name" class="callform_txtbox callform_txtbox_half">
                    <span class="red--text" v-if="errors.length>0"> {{ errors[0] }}</span>
                  </ValidationProvider>


                </td>
                <td>
                  <ValidationProvider name="Last Name" rules="required" v-slot="{errors}">
                    <input type="text" placeholder="Last Name*" v-model="form.last_name" class="callform_txtbox callform_txtbox_half1">
                    <span class="red--text" v-if="errors.length>0"> {{ errors[0] }}</span>
                  </ValidationProvider>
                </td>
              </tr>
              <tr>
                <td>
                  <ValidationProvider name="Phone" rules="required|digits:10" v-slot="{errors}">
                    <input type="text" placeholder="Phone*" v-model="form.phone" class="callform_txtbox callform_txtbox_half">
                    <span class="red--text" v-if="errors.length>0"> {{ errors[0] }}</span>
                  </ValidationProvider>
                  </td>
                <td>
                  <ValidationProvider name="Email" rules="required" v-slot="{errors}">
                    <input type="text" placeholder="Email*" v-model="form.email" class="callform_txtbox callform_txtbox_half1">
                    <span class="red--text" v-if="errors.length>0"> {{ errors[0] }}</span>
                  </ValidationProvider>
                </td>
              </tr>
              <tr>
                <td colspan="2">
                  <ValidationProvider name="Message" rules="required" v-slot="{errors}">
                    <textarea class="callform_txtarea" v-model="form.message" placeholder="Message*"></textarea>
                    <span class="red--text txtrea_mar"  v-if="errors.length>0"> {{ errors[0] }}</span>
                  </ValidationProvider>


                </td>
              </tr>
              <tr>
                <td colspan="2">
                  <v-btn class="callform_submit" :loading="loading" @click="validateForm">
                    Submit
                    </v-btn>
                    </td>
              </tr>
              <tr v-if="success">
                <td colspan="2">
                  <div class="success_div">
                        <span class="material-icons-outlined">check_circle</span>
                        <div class="thanks_cont">
                            <h3>Success! Your enquiry has been sent.</h3>
                            <p>Your enquiry has been submitted to our crack logistics team. A confirmation email has been sent and we will speak with you soon. </p>
                        </div>
                    </div>
                </td>
              </tr>
            </tbody>
        </table>
      </ValidationObserver>
    </div>
</template>
<script>
import Loading from '../Loading.vue';
export default {
    components : {Loading},
    props:['product'],
    data() {
        return {
            form    : {},
            errors  :{},
            loading  : false,
            success  : false,
            domain      : this.$store.state.front_end_data.domain,
        }
    },
    methods : {
        validateForm() {
            this.$refs.form.validate().then((success)=>{
                if(success) {
                    this.errors = false;
                    this.loading = true;
                    this.form.product_id = this.product.id;
                    this.form.domain_id   = this.domain.id;
                    enquirySubmit('product_enquiry_form_submit');
                    this.$axios.$post('/api/post-enquiry',this.form)
                    .then(resp=>{
                      this.success = true;
                      this.loading = false;
                      this.form = {};
                      this.$refs.form.reset();
                    });
                }
                else {
                    this.errors = this.$refs.form.errors;
                }
            });
        }
    }
}
</script>
